<%@ Page Language="C#" AutoEventWireup="true"    Inherits="Book.Wap.Room" %>

<!DOCTYPE html  >
<html>
<head id="Head1" runat="server">
    <title>会议列表</title> 
    <script src="../javascript/jquery-1.9.1.min.js"></script>
    <script src="template3/date.js" type="text/javascript"></script>
     
  <style>
      #roomname {   font-size:80px; margin-left:20px;  padding-top:60px;font-weight:500; text-align:center; letter-spacing:2px; }

       

      #status2 {   color:#fefafa; 
                  text-align:center;
                  font-weight:normal;  
                  font-size:65px; 
                  margin-top:30px;
                  text-shadow: 1px 1px 1px #000;

      }

       #booktime {   color:#fefafa; 
                  text-align:center;
                  font-weight:normal;  
                  font-size:65px; 
                  margin-top:20px;
                  text-shadow: 1px 1px 1px #000;

      }

      #clock {     right:180px; top:120px;  font-size:60px;  }
      
  
     
      
       .tbl_line td {
       border:solid 2px #ffffff; border-collapse:collapse;
      }

body{
  transform: scale(1); 
}
  </style>
    


</head>
<body  style="background-color:#b6f6ff;    color:#0072bb; overflow:hidden;  font-family:'Microsoft YaHei',微软雅黑" >

  
    
  <div style="  width:1366px; margin:0 auto; padding-top:20px; margin-top:0px; background:url('template3/bg.png')  ; height:660px;">
        
      <div style="height:440px;">
  <div id="roomname"> <asp:Label ID="lbl_roomname" runat="server" ></asp:Label> </div> 
      
  <div id="status2"></div> 
  <div id="booktime"></div> 
      </div>
         
      <style>
          .next1 {
              font-size:40px; margin-left:30px;line-height:50px;
          }
          .next2 {
              font-size:40px;margin-left:30px; line-height:50px;  
          }
      </style>

      <table class="tbl_line" style="width:1300px; margin:20px 20px 20px 30px; margin-top:60px;    ">
          <tr>
              <td style="width:200px; color:#ffffff; font-size:40px; border-right-width:0px; letter-spacing:5px; text-align:center; height:120px;">
                  NEXT
              </td>
              <td style="color:#ffffff; ">
                  <div id="next"></div>
              </td>
          </tr>

      </table>



  </div>	
 

    <style>
       #bgclock {
         color:#000000;
         font-size:30px;
         padding-top:10px;
         margin-left:30px;
        }

         #date {
         color:#000000;
         font-size:20px;
         padding-top:0px;
         margin-left:30px;
         padding-bottom:10px;
        }

    </style>

    <div style="background-color:#ffffff; width:1366px; margin:-20px auto;">
 
  
        <table style="width:1300px; margin-bottom:5px;">
            <tr>

         
            <td width="300px">

   <div id="bgclock"  ></div>

   <div id="date"  ></div>
    
            </td>



            <td>
                <div style="color:#333; font-size:30px;">
                &nbsp;&nbsp;&nbsp;&nbsp;Better Tech   &nbsp;&nbsp;&nbsp;&nbsp; Better Life&nbsp;&nbsp;&nbsp;&nbsp;Better Work
                    </div>
            </td>

                <td width="150px">

                    <img src="template3/logo.png" style="height:90px;    "/>
                </td>

               </tr>
        </table>



   
       

    </div>
  
      
     

        


         
     
          
  

 
       
          
<script>    clock();</script>       






         

       

 
 
  

   
</body>


    
<script>
  

    function setbook(o) {

       

        if (o=="") {

           
            $("#status2").html("当前会议：无");
            $("#booktime").html("");


        }
        else {
            o=o[0];
            $("#status2").html("当前会议:" + " " + o["intro"]);
            $("#booktime").html( o["begintime"] + '-' + o["endtime"]);

        }

    }




    function GetBook() {

        GetCurrentBook();
        GetBookList();
        setTimeout("GetBook()", 60000);
    }


    $(document).ready(function () {
        GetBook();
    });




     
    function GetCurrentBook() {
   
        $.getJSON(  
            "GetAjaxCurrentBook.aspx",
            { 
                "roomid":<%=Request["roomid"] %>,  
                random: Math.random() 
            },

            function(d) {  
                setbook(d);
            });
         
        } ;
 
    


    
    
        function GetBookList() {
     
            $.getJSON(
            "GetNextBook.aspx",
               { 
                   "roomid":<%=Request["roomid"] %>, 
                   random: Math.random() },


    function(data) { 
       

        if(data=="")
        { 
            $("#next").html('<div class=next1>无</div>');
            return;
        }

        var html = ' ';

        try
        {

            $.each(data, function(i, entry) {
               
                html +="<div class=next1>"+entry['intro']+"</div>"; 
                html+="<div class=next2>"+ entry['begintime'] +'-'+entry['endtime']+"</div>"
                   
            });
        }
        catch(e)
        {
             
        }

        html += ' ';

         

        $("#next").html(html);


    });


        }
    
    </script>
    
      

</html>